Download it now!
Bug 64050 - FILEOPEN: DOC: column widths are backwards and differently sized
Summary: FILEOPEN: DOC: column widths are backwards and differently sized
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: low normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: DOC
  Show dependency treegraph
 
Reported: 2013-04-29 15:21 UTC by p.skyttegaard
Modified: 2017-09-06 06:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
MS Word document for investigating wrong behavior (67.50 KB, application/msword)
2013-04-29 15:21 UTC, p.skyttegaard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description p.skyttegaard 2013-04-29 15:21:00 UTC
Created attachment 78603 [details]
MS Word document for investigating wrong behavior

Problem description: Ref. subject 

Steps to reproduce:
1. .... Open attached document
2. .... Document will be shown as having a narrow and broad column despite it actually is a single column document (it's in danish, but understanding the contents is not important for understanding the problem)
3. .... View the document with e.g. MS Word Viewer to verify

Current behavior:

Expected behavior:

              
Operating System: Windows 7
Version: 4.0.2.2 release
Comment 1 Joel Madero 2013-04-30 03:36:08 UTC
Strange thing is, it's 2 columns in Google Docs also.....

Verified all the way back to 3.5.4 (using bibisect):

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.

Marking as:

New (confirmed)
Normal - prevents high quality work
Low - for now unless you can tell us that this affects more than one document &/or tell us how to repeat this from a blank document. It's definitely not happening with every single document.


+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 QA Administrators 2015-03-04 02:19:35 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-03-22 12:43:20 UTC
Confirmed.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 4 tommy27 2016-04-16 07:24:38 UTC Comment hidden (obsolete)
Comment 5 p.skyttegaard 2016-05-22 13:29:38 UTC
Confirmed bug still present in LibreOffice vers. 5.0.5.2, OS Windows 8.1
Comment 6 Justin L 2017-09-06 00:18:13 UTC
Ahh - this IS a two column document.  In Microsoft Word 2013, Page Layout, Columns - More columns, it says there are 2. However, the larger column is first, and the second column doesn't have a defined width.  Switch it to single column in Microsoft Word and you will notice the document reformatting itself.

That said, LO still imports it very differently from Word. It puts the small column first.

Debug functions complain about undefined column widths:
warn:legacy.osl:27454:1:sw/source/filter/ww8/ww8par6.cxx:942: +Sprm 136 (resp. 0xF203) (ColWidth) missing

and so use a default width of 2.54cm
sal_uInt16 nWidth = (pSW && aSWRes.nRemainingData >= 3) ? SVBT16ToShort(pSW + 1) : 1440;

I'd mark this one as a corrupt document and say NOTOURBUG.
Comment 7 Buovjaga 2017-09-06 06:40:40 UTC
Ok, let's close.